Last Comment Bug 526457 - AIX Compilation error for 3.7a1pre source xpcom/io/nsLocalFileUnix.h", line 97.13: 1540-0848 (S) The macro name "STAT" is already defined with a different definition
: AIX Compilation error for 3.7a1pre source xpcom/io/nsLocalFileUnix.h", line 9...
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: Other AIX
: -- major (vote)
: mozilla1.9.3a4
Assigned To: Shailen
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-04 03:56 PST by Shailen
Modified: 2010-04-23 06:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.10-fixed


Attachments
Patch V 1 (663 bytes, patch)
2009-11-04 04:01 PST, Shailen
benjamin: review+
brendan: superreview+
Details | Diff | Splinter Review
recreated Shailen's patch (603 bytes, patch)
2010-03-13 13:35 PST, Uli Link (:ul-mcamafia)
mbeltzner: approval1.9.2.4+
mbeltzner: approval1.9.1.10+
Details | Diff | Splinter Review

Description Shailen 2009-11-04 03:56:47 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.4) Gecko/20091016 Firefox/3.5.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.4) Gecko/20091016 Firefox/3.5.4

While compiling Mozilla Firefox source for 3.7a1pre, getting
the below error.

"/home/firefox/mozilla-central/xpcom/io/nsLocalFileUnix.h", line 97.13: 1540-0848 (S) The macro name "STAT" is already defined with a different definition.
"/usr/include/sys/dir.h", line 288.9: 1540-0425 (I) "STAT" is defined on line 288 of "/usr/include/sys/dir.h".
gmake[1]: *** [nsLocalFileUnix.o] Error 1


Reproducible: Always

Steps to Reproduce:
1. Build Mozilla Firefox 3.7a1pre build on AIX with Gnome RPMS of 64 bit
version.

2.
3.
Actual Results:  
Build fails with the above error.



Expected Results:  
No build failure
Comment 1 Shailen 2009-11-04 04:01:39 PST
Created attachment 410208 [details] [diff] [review]
Patch V 1

The resolves the compilation error
Comment 2 Dão Gottwald [:dao] 2009-12-18 11:41:46 PST
patch doesn't apply
Comment 3 Shailen 2009-12-18 22:28:36 PST
what errors are you getting ?
Comment 4 Brendan Eich [:brendan] 2010-01-03 01:24:27 PST
Comment on attachment 410208 [details] [diff] [review]
Patch V 1

rs=me (rubber-stamp; no need for sr on this kind of AIX-only change in the future).

/be
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2010-01-06 15:27:40 PST
The patch doesn't apply for me.
Comment 6 Shailen 2010-01-06 20:22:57 PST
Robert :

 Can you please let me know what errors you are getting while applying the patch ?
May be I will look at the errors and provide an alternate patch ?
Comment 7 Robert O'Callahan (:roc) (email my personal email if necessary) 2010-01-06 20:33:54 PST
If you pull mozilla-central and apply the patch, you'll get the same errors I got.
Comment 8 Uli Link (:ul-mcamafia) 2010-03-13 13:35:45 PST
Created attachment 432355 [details] [diff] [review]
recreated Shailen's patch
Comment 9 Robert O'Callahan (:roc) (email my personal email if necessary) 2010-03-14 21:15:33 PDT
http://hg.mozilla.org/mozilla-central/rev/9b7c5d7fcbda
Comment 10 neil@parkwaycc.co.uk 2010-03-15 02:16:34 PDT
[Shailen's patch used DOS line endings, which is why nobody could get it to apply, although git-apply --whitespace=fix would have worked.]
Comment 11 Uli Link (:ul-mcamafia) 2010-03-15 04:36:41 PDT
Comment on attachment 432355 [details] [diff] [review]
recreated Shailen's patch

For me trunk patch applied cleanly to both 1.9.2 and 1.9.1 branches too.

The fix is needed for compilation of both 32- and 64bit on AIX.
Risc: none, only codepath for #if defined AIX is changed.
Comment 12 Mike Beltzner [:beltzner, not reading bugmail] 2010-03-29 10:37:59 PDT
Comment on attachment 432355 [details] [diff] [review]
recreated Shailen's patch

a=beltzner for 1.9.2.3 and 1.9.1.10
Comment 13 Reed Loden [:reed] (use needinfo?) 2010-04-12 22:04:01 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/5a51c5876cb3
Comment 14 Reed Loden [:reed] (use needinfo?) 2010-04-12 22:43:26 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/9c4e273fb291

Note You need to log in before you can comment on or make changes to this bug.